Subject: Tobacco seed
From: [email-masked] (Jim Riosa)
Date: Thu, 26 May 1994 13:41:46 GMT
Newsgroups: bionet.plants

Greetings.

I am looking for a regular source for albino tobacco seeds.  I use them in a variety of genetic outcross labs,
and the current source Western Seed Testing Service, has ceased to provide this material.
I would be looking for an average of 100 g of seed per annum, on a continuing
basis.  Obviously this would be a purchased item (not looking for donations).
If anybody has a source, please let me know.
BTW, the major biological supply companies I have contacted got their seed through the same source I did, so Wards, Carolina etc, are of no help.
Thanks

Jim

PS. reply by e-mail directly please "[email-masked]"